Subject: Re: [PATCH] powerpc: Create "rom" (MTD) device prpmc2800

From: Sergei Shtylyov <[email-masked]>
Date: Thu, 14 Jun 2007 16:48:13 +0400

Segher Boessenkool wrote:
>>So, what you're suggesting is a subnode for each described partition?

> I'm saying this is a reasonable way to describe the regions
> of flash the firmware itself cares about.

> This isn't anything new; it is done like this on some
> Apple systems, for example.

    First you're saying that nodes should correspont to *real* devices, then 
it turns out that there have been precedents for the nodes corresponding to 
completely virtual entities? ;-)

>>Seems an awfully verbose way of going about it,

> Not verbose, but flexible, and in line with everything

    Yes, I'd agree about more flexibility...

> else about the device tree.

    How about your earlier arguments against the representation of flashes?

>>and I don't see what
>>it buys us over the partitions/partition-names pair of properties.

> It is extensible.  It makes parsing trivial.  It

    Excellent -- previously my arguments about more simplicity for 
representing  flash itself were sent to /dev/null.

> represents a flash partition in a way similar to how
> a "whole" flash device is represented.

    Except it's not a device. :-)

> Segher

WBR, Sergei